/**
 * \file cpp_run.h
 * \brief CKPM C pre-processor definitions
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Authors: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef	_CKPM_CPP_RUN_H_
#define	_CKPM_CPP_RUN_H_

#include "cpp_path.h"
#include "cpp_macros.h"

/*
 * forward declarations
 */
int cpp_run (int verbose, char* iFile, char* oFile, char* eFile, struct _include_path* pl, struct _macro_list* ml);

#endif /* _CKPM_CPP_RUN_H_ */

